/*权限
*****************************************/
var g_mtglobalstate = {
    callstate: 0,        //0普通空闲，1会商空闲，2普通点对点，3会商点对点，4，普通多点（主席），5，普通多点(成员)，6，会商多点主席，7，会商多点成员
    hascallincoming: 0,  //0无，1有呼叫到来，（手动接听时的状态）发送"EV_W2F_GETCALLINCOMINGINFO_REQ"消息进行呼叫信息获取
    hasconfdelay: 0,     //0无，1收到会议延长通知 弹出延迟界面通知，发送XXXX消息进行会议延迟处理--------------------------------------------ok
    haschairapply: 0,    //0无，1有主席申请，发送XXX消息获取主席申请列表(非会商时，列表有多个申请者，需要用列表表达，会商时，仅一个成员不需要用列表表达)
    hasspkapply: 0,      //0无，1有发言人申请， 发送XXX消息获取发言人申请列表(非会商时，列表有多个申请者，需要用列表表达，会商时，仅一个成员不需要用列表表达)
    haschimeapply: 0,    //0无，1有插话申请， 发送XXX消息获取插话申请列表(非会商时，列表有多个申请者，需要用列表表达，会商时，仅一个成员不需要用列表表达)
    hassynchui: 0,       //0无，1需要进行UI界面的同步处理，如，主席、发言人、插话、手动应答等弹出框的关闭同步处理
    hasconfpwd: 0,       //0无，1需要输入会议密码进行入会处理--------------------------------------------ok   
    indualstream: 0,     //0无，1PC双流中，2非PC双流中，非PC双流时，发送XXX消息获取当前双流接口类型，128：请求PC双流关键帧
    inrecodering: 0,     //无，1终端录像中，2会商录像终端
    inmconf: 0,          //0无，1内置MC多点  非会商 点对点
    invodplay: 0,        //0无，1：VOD点播终端中（仅空闲支持VOD点播）
    inmtupgrade: 0,      //0终端不在升级中，1：终端在升级中
    inmonitor: 0,        //0未监控，1监控中
    confRemainTime: 0,    // 默认为0  会议剩余时间
    apsLogin: 0,           //aps  1：登录  0：未登录
    multiconfend: 0,       // 默认为0  1多点会议结束
    diallffline: 0,      //是否有电话终端掉线 默认 0 无； 1 有
    monitorsite: 0 ,       //0本地视频源，1远端视频源（本地远端视频源选择状态）
    synUiEx: 0,             //默认0 ，根据相应的枚举同步相应的信息
    inAudioDelyCheck: 0   // 是否处于声延检测中 0 否； 1 是 
     
}
var powerConfig = {
    isProfession: 0,        //0:非会商 1 会商
    isMeeting: 0,           //0 空闲   1 会议 
    isChair: 0,             //0 成员   1 主席
    isPTP: 0                //0 多点   1 点对点
}
var mtIP = location.href.split("/")[2];  //获取终端IP地址
var g_callstate = -1;
var g_inmconf = -1;

SendMTGlobalState(false);
var g_mtgLobalStateInterval = setInterval("SendMTGlobalState(true)", g_intervalTime.SendMTGlobalState);
if (Dbug_closeInterval.SendMTGlobalState) {
    clearInterval(g_mtgLobalStateInterval);
}
function SendMTGlobalState(async) {
    var sendItem = {
        "async": async,
        "url": "/mtapi/entity/globalstate",
        "type": "get",
        "sunccessFcall": globalStateSunccessFcall,      //发送成功响应方法
        "eventid": "EV_W2F_GETMTGLOBALSTATE_REQ"
    };
    $.comm.ajax.getRespDataJSON(sendItem);

    function globalStateSunccessFcall(dataJSON) {

        if (!!dataJSON) {
            var isSleepObj = dataJSON.body.dwSleep;
            if (!!isSleepObj) {
                isSleepObj = parseInt(isSleepObj, 10);
                if (isSleepObj == 1)
                    parent.window.document.location.href = "/#clear";
            }

            var findapsLogin = dataJSON.body.dwApsLogin;

            if (!!findapsLogin || findapsLogin == 0) {
                var apsLogin = parseInt(findapsLogin);
                if (apsLogin != NaN) {
                    g_mtglobalstate.apsLogin = apsLogin;
                }
            }
            var findapsLogin = dataJSON.body.dwApsLogin;
            if (!!findapsLogin || findapsLogin == 0) {
                var apsLogin = parseInt(findapsLogin);
                if (apsLogin != NaN) {
                    g_mtglobalstate.apsLogin = apsLogin;
                }
            }
            var findSpareCloudRec = dataJSON.body.dwSpareCloudRec;
            if (!!findSpareCloudRec || findSpareCloudRec == 0) {
                var findSpareCloudRec = parseInt(findSpareCloudRec);
                if (findSpareCloudRec != NaN) {
                    g_mtglobalstate.sparecloudrec = findSpareCloudRec;
                }
            }

            var findMtUpgradeObj = dataJSON.body.dwMtUpgrade;
            if (!!findMtUpgradeObj || findMtUpgradeObj == 0) {
                var intMtUpgrade = parseInt(findMtUpgradeObj);
                if (intMtUpgrade != NaN) {
                    g_mtglobalstate.inmtupgrade = intMtUpgrade
                    if (1 == intMtUpgrade) {
                        var message = resName.STRING_THE_TERMINAL_IS_BEING_UPGRADED;
                        $.comm.req_model.addUserLog(message);
                        parent.location.href = "/#clear";
                    }
                }
            }
            //UI同步
            var synUiExVal = dataJSON.body.emSynUiEx;
            if (!!synUiExVal || synUiExVal == 0) {
                var synUiEx = parseInt(synUiExVal);
                if (synUiEx != NaN) {
                    g_mtglobalstate.synUiEx = synUiEx;
                }
            }
            //点播状态
            var findVodPlay = dataJSON.body.dwVodPlay;
            if (!!findVodPlay || findVodPlay == 0) {
                var vodPlay = parseInt(findVodPlay);
                if (vodPlay != NaN) {
                    g_mtglobalstate.invodplay = vodPlay;
                }
            }
            //是否处于声延检测中
            var audioDelyCheck = dataJSON.body.dwInAudioDelyCheck;
            if (!!audioDelyCheck || audioDelyCheck == 0) {
                var audioDelyCheckInt = parseInt(audioDelyCheck);
                if (audioDelyCheckInt != NaN) {
                    g_mtglobalstate.inAudioDelyCheck = audioDelyCheckInt;
                }
            }
            var mtIPsessionid_cookie = "sessionid_cookie" + mtIP;
            var userRightCookie = $.comm.cookie.getCookie(mtIPsessionid_cookie);
            var userRightCookieJson = eval('(' + userRightCookie + ')');
            if (!!userRightCookieJson) {
                var finddwUserRights = parseInt(userRightCookieJson.userinfo.dwUserRight, 10);
                if (2 == finddwUserRights) {
                    delete menuJSON.menu[1];
                }
            }

//            if (!!finddwUserRights || finddwUserRights == 0) {
//                var dwUserRights = parseInt(finddwUserRights);
//                if (dwUserRights != NaN) {
//                    g_mtglobalstate.userRights = dwUserRights;
//                    if (2 == g_mtglobalstate.userRights) {
//                        delete menuJSON.menu[1];
//                    }
//                }
//            }

          
            var findCallstateObj = dataJSON.body.dwCallState;
            if (!!findCallstateObj || findCallstateObj == 0) {
                var intCallstate = parseInt(findCallstateObj);
                if (intCallstate != NaN && g_callstate != intCallstate) {
                    g_mtglobalstate.callstate = intCallstate
                    var newPowerConfig;
                    switch (intCallstate) {
                        //                        case 1:     //会商空闲   
                        //                            newPowerConfig = {   
                        //                                isProfession: 1,        //0:非会商 1 会商      
                        //                                isMeeting: 0,           //0 空闲   1 会议    
                        //                                isChair: 0,             //0 成员   1 主席   
                        //                                isPTP: 0                //0 多点   1 点对点   
                        //                            }   
                        //                            break;   
                        case 1:     //普通点对点
                            newPowerConfig = {
                                isProfession: 0,        //0:非会商 1 会商   
                                isMeeting: 1,           //0 空闲   1 会议 
                                isChair: 0,             //0 成员   1 主席
                                isPTP: 1                //0 多点   1 点对点
                            }
                            break;
                        //                        case 3:     //会商点对点   
                        //                            newPowerConfig = {   
                        //                                isProfession: 1,        //0:非会商 1 会商      
                        //                                isMeeting: 1,           //0 空闲   1 会议    
                        //                                isChair: 0,             //0 成员   1 主席   
                        //                                isPTP: 1                //0 多点   1 点对点   
                        //                            }   
                        //                            break;   
                        case 2:     //普通多点（主席）
                            newPowerConfig = {
                                isProfession: 0,        //0:非会商 1 会商   
                                isMeeting: 1,           //0 空闲   1 会议 
                                isChair: 1,             //0 成员   1 主席
                                isPTP: 0                //0 多点   1 点对点
                            }
                            break;
                        case 3:     //普通多点(成员)
                            newPowerConfig = {
                                isProfession: 0,        //0:非会商 1 会商   
                                isMeeting: 1,           //0 空闲   1 会议 
                                isChair: 0,             //0 成员   1 主席
                                isPTP: 0                //0 多点   1 点对点
                            }
                            break;
                        //                        case 6:     //会商多点主席   
                        //                            newPowerConfig = {   
                        //                                isProfession: 1,        //0:非会商 1 会商      
                        //                                isMeeting: 1,           //0 空闲   1 会议    
                        //                                isChair: 1,             //0 成员   1 主席   
                        //                                isPTP: 0                //0 多点   1 点对点   
                        //                            }   
                        //                            break;   
                        //                        case 7:     //会商多点成员   
                        //                            newPowerConfig = {   
                        //                                isProfession: 1,        //0:非会商 1 会商      
                        //                                isMeeting: 1,           //0 空闲   1 会议    
                        //                                isChair: 0,             //0 成员   1 主席   
                        //                                isPTP: 0                //0 多点   1 点对点   
                        //                            }   
                        //                            break;   
                        default:    //0普通空闲
                            newPowerConfig = {
                                isProfession: 0,        //0:非会商 1 会商   
                                isMeeting: 0,           //0 空闲   1 会议 
                                isChair: 0,             //0 成员   1 主席
                                isPTP: 0                //0 多点   1 点对点
                            }
                            break;
                    }
                    $.extend(true, powerConfig, newPowerConfig);
                    g_callstate = intCallstate;

                }

            }

            var findHascallincomingObj = dataJSON.body.dwCallinComing;
            if (!!findHascallincomingObj || findHascallincomingObj == 0) {
                var intFindHascallincoming = parseInt(findHascallincomingObj);
                if (g_mtglobalstate.hascallincoming != intFindHascallincoming) {
                    if (intFindHascallincoming == 1) {  //呼叫到来
                        $("#stateOperation").attr("src", "/conference/hcomm/html/stateOperation.html");
                    } else if (intFindHascallincoming == 0) {
                        $("#hascallincomingModal .modal").hide();
                        $("#hascallincomingModal .layerMask").hide();
                    }
                }
                if (intFindHascallincoming != NaN) {
                    g_mtglobalstate.hascallincoming = intFindHascallincoming;
                }
            }


            //管理方才提示
            if (2 == g_mtglobalstate.callstate) {
                var findConfRemainTimeObj = dataJSON.body.dwConfRemainTime;
                if (!!findConfRemainTimeObj || findConfRemainTimeObj == 0) {
                    var intfindConfRemainTimeObj = parseInt(findConfRemainTimeObj);
                    if (g_mtglobalstate.confRemainTime != intfindConfRemainTimeObj) {
                        if (intfindConfRemainTimeObj != NaN) {
                            g_mtglobalstate.confRemainTime = intfindConfRemainTimeObj
                        }

                        if (intfindConfRemainTimeObj > 0) {
                            $("#stateOperation").attr("src", "/conference/hcomm/html/stateOperation.html");
                        } else if (intFindHascallincoming == 0) {
                            $("#hasconfdelayModal .modal").hide();
                            $("#hasconfdelayModal .layerMask").hide();
                        }
                    }

                }

                var findDialOffLineObj = dataJSON.body.dwDialOffLine;
                if (!!findDialOffLineObj || findDialOffLineObj == 0) {
                    var findDialOffLineObj = parseInt(findDialOffLineObj);
                    if (g_mtglobalstate.diallffline != findDialOffLineObj) {
                        if (findDialOffLineObj == 1) {  //电话退会重呼
                            $("#stateOperation").attr("src", "/conference/hcomm/html/stateOperation.html");
                        } else if (findDialOffLineObj == 0) {
                            $("#reDialForHangUpCallModal .modal").hide();
                            $("#reDialForHangUpCallModal .layerMask").hide();
                        }
                    }
                    if (findDialOffLineObj != NaN) {
                        g_mtglobalstate.diallffline = findDialOffLineObj;
                    }
                }
            }

            if (0 != g_mtglobalstate.callstate) {
                var finddwFxoStateObj = dataJSON.body.dwFxoState;
                if (!!finddwFxoStateObj || finddwFxoStateObj == 0) {
                    var intFxoState = parseInt(finddwFxoStateObj);
                    if (g_mtglobalstate.fxostate != intFxoState) {

                        if (typeof contentFrame == "object") {
                            if (typeof contentFrame.showFoxCallSureWin == "function" && 1 == intFxoState) {
                                contentFrame.showFoxCallSureWin();
                            } else {
                                $(parent.window.document.body).find("#alertid").hide();
                                //$(parent.window.document.body).find(".close").click();
                            }

                        }

                        if (intFxoState != NaN) {
                            g_mtglobalstate.fxostate = intFxoState;
                        }
                    }
                }

                if (typeof contentFrame == "object" && typeof contentFrame.showFoxCallBtn == "function") {
                    if ( g_mtglobalstate.fxostate == 3) {
                        contentFrame.showFoxCallBtn(true);
                    }
                    else {
                        contentFrame.showFoxCallBtn(false);

                    }
                }

            }

            var findIPMacConflictedObj = dataJSON.body.dwIPMacConflicted;
            if (!!findIPMacConflictedObj || findIPMacConflictedObj == 0) {
                var intfindIPMacConflictedObj = parseInt(findIPMacConflictedObj);
                if (g_mtglobalstate.ipmacconflicted != intfindIPMacConflictedObj) {
                    if (intfindIPMacConflictedObj != NaN) {
                        g_mtglobalstate.ipmacconflicted = intfindIPMacConflictedObj;
                    }
                  switch(intfindIPMacConflictedObj) {
                    case 1:
                        $.comm.req_model.addUserLog(resName.STRING_TERMINAL_IP_ADDRESS_CONFLICT);
                    	break;
                    case 2:
                        $.comm.req_model.addUserLog(resName.STRING_MT_IPMACCONFLICTED);
                        break;
                    case 3:
                        $.comm.req_model.addUserLog(resName.STRING_TERMINAL_MAC_ADDRESS_AND_IP_ADDRESS_CONFLICT);
                        break;
                    default:
                    }
                }
            }

            var findRefuseChairmanObj = dataJSON.body.dwRefuseChairman;
            if (!!findRefuseChairmanObj || findRefuseChairmanObj == 0) {
                var intfindRefuseChairmanObj = parseInt(findRefuseChairmanObj);
                if (g_mtglobalstate.refuseChairman != intfindRefuseChairmanObj) {
                    if (intfindRefuseChairmanObj != NaN) {
                        g_mtglobalstate.refuseChairman = intfindRefuseChairmanObj;
                    }

                    if (intfindRefuseChairmanObj > 0) {
                        var message = resName.STRING_CONF_REFUSECHAIRMAN;
                        $.comm.req_model.addUserLog(message);

                    }
                }
            }

            var findRefuseSpeakerObj = dataJSON.body.dwRefuseSpeaker;
            if (!!findRefuseSpeakerObj || findRefuseSpeakerObj == 0) {
                var intfindRefuseSpeakerObj = parseInt(findRefuseSpeakerObj);
                if (g_mtglobalstate.refuseSpeaker != intfindRefuseSpeakerObj) {
                    if (intfindRefuseSpeakerObj != NaN) {
                        g_mtglobalstate.refuseSpeaker = intfindRefuseSpeakerObj;
                    }

                    if (intfindRefuseSpeakerObj > 0) {
                        var message = resName.STRING_CONF_REFUSESPEAKER;
                        $.comm.req_model.addUserLog(message);

                    }
                }
            }

            var finddwRefuseChimeObj = dataJSON.body.dwRefuseChime;
            if (!!finddwRefuseChimeObj || finddwRefuseChimeObj == 0) {
                var intfinddwRefuseChimeObj = parseInt(finddwRefuseChimeObj);
                if (g_mtglobalstate.refuseChime != intfinddwRefuseChimeObj) {
                    if (intfinddwRefuseChimeObj != NaN) {
                        g_mtglobalstate.refuseChime = intfinddwRefuseChimeObj;
                    }

                    if (intfinddwRefuseChimeObj > 0) {
                        var message = resName.STRING_CONF_REFUSECHIME;
                        $.comm.req_model.addUserLog(message);

                    }
                }
            }


            //升级提示

            var mtIPmtnewversion_cookie = "mtnewversion_cookie" + mtIP;
            var mtnewver = $.comm.cookie.getCookie(mtIPmtnewversion_cookie);

            if (mtnewver == undefined && 0 == g_mtglobalstate.callstate) {
                var findNewesetVerObj = dataJSON.body.dwNewesetVer;
                if (!!findNewesetVerObj || findNewesetVerObj == 0) {
                    var nfindNewesetVerObj = parseInt(findNewesetVerObj);
                    if (g_mtglobalstate.hasnewesetver != nfindNewesetVerObj) {
                        if (nfindNewesetVerObj == 1) {  //有新的版本
                            $("#stateOperation").attr("src", "/conference/hcomm/html/stateOperation.html");
                        } else if (nfindNewesetVerObj == 0) {
                            $("#hasMtNewVerModal .modal").hide();
                            $("#hasMtNewVerModal .layerMask").hide();
                        }
                    }
                    if (nfindNewesetVerObj != NaN) {
                        g_mtglobalstate.hasnewesetver = nfindNewesetVerObj

                    }
                }
            }
            var iHaschairapply = -1;

            var findHaschairapplyObj = dataJSON.body.dwChairApply;
            if (!!findHaschairapplyObj || findHaschairapplyObj == 0) {
                var intFindHaschairapply = parseInt(findHaschairapplyObj);
                if (g_mtglobalstate.haschairapply != intFindHaschairapply) {
                    if (intFindHaschairapply == 1) {
                        iHaschairapply = 1;
                    } else if (intFindHaschairapply == 0) {
                        iHaschairapply = 0;
                    }
                }
                if (intFindHaschairapply != NaN) {
                    g_mtglobalstate.haschairapply = intFindHaschairapply
                }
            }

            var findMultiConfEndFlagObj = dataJSON.body.dwMultiConfEndFlag;
            if (!!findMultiConfEndFlagObj || findMultiConfEndFlagObj == 0) {
                var intFindMultiConfEndFlag = parseInt(findMultiConfEndFlagObj);
                if (g_mtglobalstate.multiconfend != intFindMultiConfEndFlag) {
                    if (intFindMultiConfEndFlag == 1) {
                        //请求会议结束原因：
                        var reason = getCallDisReason();
                        var emDisconnect_ConfAutoRelease_Api = 36;
                        if (reason == emDisconnect_ConfAutoRelease_Api) {
                            var message = resName.STRING_ONEMTCONF_AUTOENDSTATE_HINT; //一台终端开会时,超过10分钟时，平台自动结会
                            $.comm.req_model.addUserLog(message);
                        }
                    }
                }
                if (intFindMultiConfEndFlag != NaN) {
                    g_mtglobalstate.multiconfend = intFindMultiConfEndFlag;
                }
            }


            var iHasspkapply = -1;
            var findHasspkapplyObj = dataJSON.body.dwSpkApply;
            if (!!findHasspkapplyObj || findHasspkapplyObj == 0) {
                var intFindHasspkapply = parseInt(findHasspkapplyObj);
                if (g_mtglobalstate.hasspkapply != intFindHasspkapply) {
                    if (intFindHasspkapply == 1) {
                        iHasspkapply = 1;
                    } else if (intFindHasspkapply == 0) {
                        iHasspkapply = 0;
                    }
                }
                if (intFindHasspkapply != NaN) {
                    g_mtglobalstate.hasspkapply = intFindHasspkapply
                }
            }
            var iHaschimeapply = -1;
            var findHaschimeapplyObj = dataJSON.body.dwChimeApply;
            if (!!findHaschimeapplyObj || findHaschimeapplyObj == 0) {
                var intFindHaschimeapply = parseInt(findHaschimeapplyObj);
                if (g_mtglobalstate.haschimeapply != intFindHaschimeapply) {
                    if (intFindHaschimeapply == 1) {
                        iHaschimeapply = 1;
                    } else if (intFindHaschimeapply == 0) {
                        iHaschimeapply = 0;
                    }
                }
                if (intFindHaschimeapply != NaN) {
                    g_mtglobalstate.haschimeapply = intFindHaschimeapply
                }
            }
            if (iHaschairapply == 1 || iHasspkapply == 1 || iHaschimeapply == 1) {  //有主席申请 有发言人申请 有插话申请
                $("#stateOperation").attr("src", "/conference/hcomm/html/stateOperation.html");
            } else if (intFindHaschairapply == 0 && intFindHasspkapply == 0 && intFindHaschimeapply == 0) {
                $("#hasChaSpkChiModal").remove();
            }

            var findSynUi = dataJSON.body.dwSynUi;
            //dwChaSpkSynUi 对话框同步标志 0-无、1-有同到来
            var dwChaSpkSynUi = 1;
            if (!!findSynUi || findSynUi == 0) {
                if (!!findSynUi && findSynUi == 1) {
                    $("#hasChaSpkChiModal").remove();
                    synctTooltipBox(false);
                }
                g_mtglobalstate.hassynchui = findSynUi;
            }

            if (typeof contentFrame.window.updateSpareCloudRecUI == "function") {

                if (0 == g_mtglobalstate.sparecloudrec) {
                    contentFrame.window.updateSpareCloudRecUI(false);
                }
                else {
                    contentFrame.window.updateSpareCloudRecUI(true);
                }
            }

            if (typeof contentFrame.window.updateNewVersionUI == "function") {
                if (1 == dataJSON.body.dwNewesetVer && 0 == dataJSON.body.dwCallState) {
                    contentFrame.window.updateNewVersionUI(true);
                }
                else {

                    contentFrame.window.updateNewVersionUI(false);
                }
            }


        }
    }
}