﻿/*权限
*****************************************/
var g_mtglobalstate = {
    callstate: 0,        //0空闲，1点对点，2多点（主席），3多点(成员)
    hascallincoming: 0,  //0无，1有呼叫到来，（手动接听时的状态）
    hasnewesetver: 0,    //最新版本标志 0:无(默认)；1:有
    hasconfdelay: 0,     //0无，1收到会议延长通知 弹出延迟界面通知，发送XXXX消息进行会议延迟处理--------------------------------------------ok
    haschairapply: 0,    //0无，1有主席申请，发送XXX消息获取主席申请列表(非会商时，列表有多个申请者，需要用列表表达，会商时，仅一个成员不需要用列表表达)
    hasspkapply: 0,      //0无，1有发言人申请， 发送XXX消息获取发言人申请列表(非会商时，列表有多个申请者，需要用列表表达，会商时，仅一个成员不需要用列表表达)
    haschimeapply: 0,    //0无，1有插话申请， 发送XXX消息获取插话申请列表(非会商时，列表有多个申请者，需要用列表表达，会商时，仅一个成员不需要用列表表达)
    hassynchui: 0,       //0无，1需要进行UI界面的同步处理，如，主席、发言人、插话、手动应答等弹出框的关闭同步处理
    hasconfpwd: 0,       //0无，1需要输入会议密码进行入会处理--------------------------------------------ok   
    indualstream: 0,     //0无，1PC双流中，2非PC双流中，非PC双流时，发送XXX消息获取当前双流接口类型，128：请求PC双流关键帧
    inrecodering: 0,     //无，1终端录像中，2会商录像终端
    inmconf: 0,          //0无，1内置MC多点  非会商 点对点
    invodplay: 0,        //0无，1：VOD点播终端中（仅空闲支持VOD点播）
    inmtupgrade: 0,      //0终端不在升级中，1：终端在升级中
    //inmonitor: 0,      //0未监控，1监控中
    monitorsite: 0,      //0本地视频源，1远端视频源（本地远端视频源选择状态）
    localMonitor: 0,     //本地监控 0 :未开启 1 第一路主视频开启, 2:第二路主视频开启
    remoteMonitor: 0,    //远端监控 0 :未开启 1 第一路主视频开启, 2:第二路主视频开启
    apsLogin: 0,           //aps  1：登录  0：未登录
    userRights: 1,        //1：管理员  2：操作员
    confRemainTime: 0,    // 默认为0  其他：会议剩余时间
    ipmacconflicted: 0,   // 默认为0  1Mac地址冲突
    refuseChairman: 0,   // 默认为0  1申请主席失败
    refuseSpeaker: 0,    // 默认为0  1申请发言失败
    refuseChime: 0,      // 默认为0  1申请插话失败
    multiconfend: 0,       // 默认为0  1多点会议结束
    fxostate: 0,          //0 空闲 ，1 呼叫到来 ，2 呼叫中 3 连接
    diallffline: 0,      //是否有电话终端掉线 默认 0 无； 1 有
    sparecloudrec: 0,      //空闲云端录像状态  0:无;　1:录像中员
    confNeedPwdTipTimes: 0,// 默认0 ，提示输入会议密码次数 ，超过三次，自动结会
    synUiEx : 0,             //默认0 ，根据相应的枚举同步相应的信息
    inAudioDelyCheck: 0   // 是否处于声延检测中 0 否； 1 是 
};

var powerConfig =
{  
    isProfession: 0,        //0:非会商 1 会商
    isMeeting: 0,           //0 空闲   1 会议 
    isChair: 0,             //0 成员   1 主席
    isPTP: 0                //0 多点   1 点对点
};
var mtIP = location.href.split("/")[2];  //获取终端IP
var g_callstate = -1;

var g_inmconf = -1;
//SendMTGlobalState(false);
//var g_mtgLobalStateInterval = setInterval("SendMTGlobalState(true)", g_intervalTime.SendMTGlobalState);
if (Dbug_closeInterval.SendMTGlobalState) {
    clearInterval(g_mtgLobalStateInterval);
}


function SendMTGlobalState(async) {


    var sendItem = {
        "async": async,
        "url": "/mtapi/entity/globalstate",
        "type": "get",
        "bodyJson": { "eventid": "EV_W2F_GETMTGLOBALSTATE_REQ" },
        "sunccessFcall": globalStateSunccessFcall,      //发送成功响应方法
        "eventid": "EV_W2F_GETMTGLOBALSTATE_REQ"
    };
    $.comm.ajax.getRespDataJSON(sendItem);

    function globalStateSunccessFcall(dataJSON) {


     if (!!dataJSON) {
            //自动待机退回到登陆界面
            var isSleepObj = dataJSON.body.dwSleep;
            /**if (!!isSleepObj) {
                isSleepObj = parseInt(isSleepObj, 10);
                if (isSleepObj == 1)
                    parent.parent.window.document.location.href = "/#clear";
            }**/

            var findapsLogin = dataJSON.body.dwApsLogin;
            if (!!findapsLogin || findapsLogin == 0) {
                var apsLogin = parseInt(findapsLogin);
                if (apsLogin != NaN) {
                    g_mtglobalstate.apsLogin = apsLogin;
                }
            }

            var findSpareCloudRec = dataJSON.body.dwSpareCloudRec;
            if (!!findSpareCloudRec || findSpareCloudRec == 0) {
                var findSpareCloudRec = parseInt(findSpareCloudRec);
                if (findSpareCloudRec != NaN) {
                    g_mtglobalstate.sparecloudrec = findSpareCloudRec;
                }
            }
            //密码输入次数超过三次，自动结会
            var findConfNeedPwdTipTimes = dataJSON.body.dwConfNeedPwdTipTimes;
            if (!!findConfNeedPwdTipTimes || findConfNeedPwdTipTimes == 0) {
                var confNeedPwdTipTime = parseInt(findConfNeedPwdTipTimes);
                if (confNeedPwdTipTime != NaN) {
                    g_mtglobalstate.confNeedPwdTipTimes = confNeedPwdTipTime;
                }
            }
            
            //UI同步
            var synUiExVal = dataJSON.body.emSynUiEx;
            if (!!synUiExVal || synUiExVal == 0) {
                var synUiEx = parseInt(synUiExVal);
                if (synUiEx != NaN) {
                    g_mtglobalstate.synUiEx = synUiEx;
                }
            }
            //点播状态
            var findVodPlay = dataJSON.body.dwVodPlay;

            if (!!findVodPlay || findVodPlay == 0) {
                var vodPlay = parseInt(findVodPlay);
                if (vodPlay != NaN) {
                    g_mtglobalstate.invodplay = vodPlay;
                }
            }
            //是否处于声延检测中
            var audioDelyCheck = dataJSON.body.dwInAudioDelyCheck;
            if (!!audioDelyCheck || audioDelyCheck == 0) {
                var audioDelyCheckInt = parseInt(audioDelyCheck);
                if (audioDelyCheckInt != NaN) {
                    g_mtglobalstate.inAudioDelyCheck = audioDelyCheckInt;
                }
            }
            var finddwUserRights = dataJSON.body.dwUserRights;

            if (!!finddwUserRights || finddwUserRights == 0) {
                var dwUserRights = parseInt(finddwUserRights);
                if (dwUserRights != NaN) {
                    g_mtglobalstate.userRights = dwUserRights;
                }
            }
       var intCallstate = parseInt(dataJSON.body.dwCallState);
            if (intCallstate != NaN && g_callstate != intCallstate) {
                g_mtglobalstate.callstate = intCallstate;
                var newPowerConfig;
                switch (intCallstate) {
                    case 1:     //点对点
                        newPowerConfig = {
                            isMeeting: 1,           //0 空闲   1 会议 
                            isChair: 0,             //0 成员   1 主席
                            isPTP: 1                //0 多点   1 点对点
                        }
                        $("#current_status").html("点对点会议中").css("background", "red").css("color", "white");
                        break;
                    case 2:     //多点（主席）
                        newPowerConfig = {
                            isMeeting: 1,           //0 空闲   1 会议 
                            isChair: 1,             //0 成员   1 主席
                            isPTP: 0                //0 多点   1 点对点
                        }
                        $("#current_status").html("多点会议中（主席）").css("background", "red").css("color", "white");
                        break;
                    case 3:     //多点(成员)
                        newPowerConfig = {
                            isMeeting: 1,           //0 空闲   1 会议 
                            isChair: 0,             //0 成员   1 主席
                            isPTP: 0                //0 多点   1 点对点
                        }
                        $("#current_status").html("多点会议中(成员)").css("background", "red").css("color", "white");
                        break;
                    default:    //0空闲
                        newPowerConfig = {
                            isMeeting: 0,           //0 空闲   1 会议 
                            isChair: 0,             //0 成员   1 主席
                            isPTP: 0                //0 多点   1 点对点
                        }
						$("#current_status").html("空闲状态").css("background","#3ECBE4").css("color","white");
                        break;
                }                                                        
			}

            var mtModel = parseInt(dataJSON.body.emMtModel);
            if (mtModel != NaN && !!mtModel ) {
                switch (mtModel) {
                    case 0:                           
                        $("#current_model").html("当前终端初始值");
                        break;
                    case 1:    
                       $("#current_model").html("当前终端：桌面终端 自建");
                        break;
                    case 2:    
                        $("#current_model").html("当前终端：移动终端ipad 自建");
                        break;
                    case 3:    
                        $("#current_model").html("当前终端：移动终端iphone 自建");
                        break;
                    case 7:   
                        $("#current_model").html("当前终端：移动终端androidpad 自建");
                        break;
                    case 8:   
                        $("#current_model").html("当前终端：移动终端androidphone 自建");
                        break;
                    case 9:   
                        $("#current_model").html("当前终端：硬终端X500 自建");
                        break;
                    case 10:   
                        $("#current_model").html("当前终端：硬终端X500 自建");
                        break;
                    case 11:   
                        $("#current_model").html("当前终端：硬终端X500 自建");
                        break;
                     case 12:   
                        $("#current_model").html("当前终端：硬终端X500 租赁");
                        break;
                     case 13:   
                        $("#current_model").html("当前终端：硬终端X500 租赁");
                        break;
                    case 14:   
                        $("#current_model").html("当前终端：硬终端X500 自建");
                        break;
                    case 15:   
                        $("#current_model").html("当前终端：硬终端X500 租赁");
                        break;
                    case 16:   
                        $("#current_model").html("当前终端：桌面终端 租赁");                 
                        break;
                    case 17:   
                        $("#current_model").html("当前终端：移动终端ipad 租赁");                 
                        break;
                    case 18:   
                        $("#current_model").html("当前终端：移动终端iphone 租赁");                 
                        break;
                    case 19:   
                        $("#current_model").html("当前终端：移动终端androidphone 租赁");                 
                        break;
                    case 20:   
                        $("#current_model").html("当前终端：移动终端androidpad   租赁");                 
                        break;
                     case 21:   
                        $("#current_model").html("当前终端：硬终端 自建");                 
                        break;
                     case 22:   
                        $("#current_model").html("当前终端：移动终端TV盒子 租赁");                 
                        break;
                    default:    //0空闲
                        $("#current_model").html("当前终端：未知型号");  
                        break;
                }
            }


		}

	}
  


}
                  


$(function () {
    //	CreatTimeoutCookie(30);
    //	TimeoutObj = setInterval(TestTimeOut, 5 * 60 * 1000);
	//SendMTGlobalState(true);	
	//setInterval("SendMTGlobalState(true)", g_intervalTime.SendMTGlobalState);  
 
 })